classification
Title: add mtime argument to gzip.compress
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: dhimmel, guoci, serhiy.storchaka, sir-sigurd, xtreak
Priority: normal Keywords: patch

Created on 2018-10-04 21:22 by guoci, last changed 2019-08-23 15:19 by dhimmel. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9704 merged guoci, 2018-10-04 21:27
Messages (4)
msg327088 - (view) Author: Guo Ci Teo (guoci) * Date: 2018-10-04 21:22
With the `mtime` argument, the output from `gzip.compress` can be reproducible.
msg329408 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-11-07 09:50
New changeset 0e7497cb469b003a45a4abe4105b81ef6d0c4002 by Serhiy Storchaka (guoci) in branch 'master':
bpo-34898: Add mtime parameter to gzip.compress(). (GH-9704)
https://github.com/python/cpython/commit/0e7497cb469b003a45a4abe4105b81ef6d0c4002
msg329409 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-11-07 09:51
Thank you for your contribution!
msg350307 - (view) Author: Daniel Himmelstein (dhimmel) * Date: 2019-08-23 15:19
Any reason not to also expose mtime in the gzip.open API?
History
Date User Action Args
2019-08-23 15:19:25dhimmelsetnosy: + dhimmel
messages: + msg350307
2018-11-07 09:51:40serhiy.storchakasetstatus: open -> closed
versions: - Python 3.6, Python 3.7
type: enhancement
messages: + msg329409

resolution: fixed
stage: patch review -> resolved
2018-11-07 09:50:37serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg329408
2018-10-07 07:26:18sir-sigurdsetnosy: + sir-sigurd
2018-10-05 12:41:24xtreaksetnosy: + xtreak
2018-10-04 21:27:44guocisetkeywords: + patch
stage: patch review
pull_requests: + pull_request9089
2018-10-04 21:22:04guocicreate